# Interface VulkanSamplerCreateInfoType

All Known Implementing Classes:
  `VulkanSamplerCreateInfo`

@Immutable public interface VulkanSamplerCreateInfoType
Structure specifying how to create a sampler.

See Also:
  - "VkSamplerCreateInfo"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanSamplerAddressMode`
  `addressModeU()`
  `VulkanSamplerAddressMode`
  `addressModeV()`
  `VulkanSamplerAddressMode`
  `addressModeW()`
  `VulkanBorderColor`
  `borderColor()`
  `Optional<VulkanCompareOp>`
  `compareOp()`
  `Set<VulkanSamplerCreateFlag>`
  `flags()`
  `VulkanFilter`
  `magFilter()`
  `OptionalDouble`
  `maxAnisotropy()`
  If this value is non-empty, enable anisotropic filtering using the given amount of anisotropy.
  `float`
  `maxLod()`
  `VulkanFilter`
  `minFilter()`
  `float`
  `minLod()`
  `float`
  `mipLodBias()`
  `VulkanSamplerMipmapMode`
  `mipmapMode()`
  `boolean`
  `unnormalizedCoordinates()`

- ## Method Details

  - ### flags

    @Parameter Set<VulkanSamplerCreateFlag> flags()
    Returns:
      A set of flags describing additional parameters of the sampler.

  - ### magFilter

    @Parameter VulkanFilter magFilter()
    Returns:
      The magnification filter to apply to lookups.

  - ### minFilter

    @Parameter VulkanFilter minFilter()
    Returns:
      The minification filter to apply to lookups.

  - ### mipmapMode

    @Parameter VulkanSamplerMipmapMode mipmapMode()
    Returns:
      The mipmap filter to apply to lookups.

  - ### addressModeU

    @Parameter VulkanSamplerAddressMode addressModeU()
    Returns:
      The addressing mode for outside [0..1] range for U coordinates.

  - ### addressModeV

    @Parameter VulkanSamplerAddressMode addressModeV()
    Returns:
      The addressing mode for outside [0..1] range for V coordinates.

  - ### addressModeW

    @Parameter VulkanSamplerAddressMode addressModeW()
    Returns:
      The addressing mode for outside [0..1] range for W coordinates.

  - ### mipLodBias

    @Parameter float mipLodBias()
    Returns:
      The bias to be added to mipmap LOD (level-of-detail) calculation and bias provided by the image sampling functions in SPIR-V.

  - ### maxAnisotropy

    @Parameter OptionalDouble maxAnisotropy()
    If this value is non-empty, enable anisotropic filtering using the given amount of anisotropy.
    Returns:
      The anisotropy value clamp used by the sampler

  - ### compareOp

    @Parameter Optional<VulkanCompareOp> compareOp()
    Returns:
      A value specifying the comparison function to apply to fetched data before filtering

  - ### minLod

    @Parameter float minLod()
    Returns:
      The minimum LOD clamp value

  - ### maxLod

    @Parameter float maxLod()
    Returns:
      The maximum LOD clamp value

  - ### borderColor

    @Parameter VulkanBorderColor borderColor()
    Returns:
      The predefined border color to use.

  - ### unnormalizedCoordinates

    @Parameter boolean unnormalizedCoordinates()
    Returns:
      `true` if the sampler coordinates should unnormalized